| Irrlicht 3D Engine |

Public Member Functions
irr::core::map< KeyType, ValueType >::ParentLastIterator Class Reference

Parent Last Iterator. More...

`#include <irrMap.h>`

List of all members.

## Public Member Functions

- ParentLastIterator ()
- ParentLastIterator (Node *root)
- bool atEnd () const
- Node * getNode ()
- Node & operator* ()
- void operator++ (int)
- Node * operator-> ()
- ParentLastIterator & operator= (const ParentLastIterator &src)
- void reset ()

## Detailed Description

### template<class KeyType, class ValueType>
class irr::core::map< KeyType, ValueType >::ParentLastIterator

Parent Last Iterator.

Traverse the tree from bottom to top. Typical usage is when deleting all elements in the tree because you must delete the children before you delete their parent.

Definition at line 541 of file irrMap.h.

## Constructor & Destructor Documentation

template<class KeyType, class ValueType>

irr::core::map< KeyType, ValueType >::ParentLastIterator::ParentLastIterator | ( |  | ) | `[inline]`

Definition at line 545 of file irrMap.h.

template<class KeyType, class ValueType>

irr::core::map< KeyType, ValueType >::ParentLastIterator::ParentLastIterator | ( | Node * | root | ) | `[inline, explicit]`

Definition at line 547 of file irrMap.h.

References irr::core::map< KeyType, ValueType >::ParentLastIterator::reset().

## Member Function Documentation

template<class KeyType, class ValueType>

bool irr::core::map< KeyType, ValueType >::ParentLastIterator::atEnd | ( |  | ) | const`[inline]`

Definition at line 557 of file irrMap.h.

References _IRR_IMPLEMENT_MANAGED_MARSHALLING_BUGFIX.

Referenced by irr::core::map< KeyType, ValueType >::clear(), and irr::core::map< KeyType, ValueType >::ParentLastIterator::operator*().

template<class KeyType, class ValueType>

Node* irr::core::map< KeyType, ValueType >::ParentLastIterator::getNode | ( |  | ) | `[inline]`

Definition at line 563 of file irrMap.h.

Referenced by irr::core::map< KeyType, ValueType >::clear(), irr::core::map< KeyType, ValueType >::ParentLastIterator::operator*(), and irr::core::map< KeyType, ValueType >::ParentLastIterator::operator->().

template<class KeyType, class ValueType>

Node& irr::core::map< KeyType, ValueType >::ParentLastIterator::operator* | ( |  | ) | `[inline]`

Definition at line 585 of file irrMap.h.

References _IRR_DEBUG_BREAK_IF, irr::core::map< KeyType, ValueType >::ParentLastIterator::atEnd(), and irr::core::map< KeyType, ValueType >::ParentLastIterator::getNode().

template<class KeyType, class ValueType>

void irr::core::map< KeyType, ValueType >::ParentLastIterator::operator++ | ( | int |  | ) | `[inline]`

Definition at line 575 of file irrMap.h.

template<class KeyType, class ValueType>

Node* irr::core::map< KeyType, ValueType >::ParentLastIterator::operator-> | ( |  | ) | `[inline]`

Definition at line 580 of file irrMap.h.

References irr::core::map< KeyType, ValueType >::ParentLastIterator::getNode().

template<class KeyType, class ValueType>

ParentLastIterator& irr::core::map< KeyType, ValueType >::ParentLastIterator::operator= | ( | const ParentLastIterator & | src | ) | `[inline]`

Definition at line 568 of file irrMap.h.

template<class KeyType, class ValueType>

void irr::core::map< KeyType, ValueType >::ParentLastIterator::reset | ( |  | ) | `[inline]`

Definition at line 552 of file irrMap.h.

Referenced by irr::core::map< KeyType, ValueType >::ParentLastIterator::ParentLastIterator().

The documentation for this class was generated from the following file:

- irrMap.h